//Javascript for HTML version of Doorbell pod for Adobe Connect
//written by Alisair Lee (allee@adobe.com). March 2021
// jshint esversion:6

const ver="2.0.002";const K_HOST="owner";const K_PRESENTER="presenter";const K_PARTICIPANT="viewer";try{var syncConnector=ConnectCustomSDK.SyncConnector||{};}catch(error){console.error(error);} if(syncConnector){syncConnector.init(onConfigured,"com.adobe.connect.doorbell",ver,"connectsdkhook");syncConnector.registerCallback("syncMessageReceived",syncMessageReceived);syncConnector.registerCallback("caughtUp",caughtUp);syncConnector.registerCallback("userJoined",userJoined);syncConnector.registerCallback("roleChanged",roleChanged);syncConnector.allowParticipantPublish("ringBell",true);} function onConfigured(){console.log("Doorbell Pod Configured");$('#activity-list').html('<ul></ul>');setPermissions();} function caughtUp(){console.log("Application caught up.");setPermissions();var errorText="<li>Caught Up!</li>";} function syncMessageReceived(syncMsg){switch(syncMsg.msgNm) {case"ringBell":console.log("Ring Bell: "+syncMsg.msgVal.name);ringBell(syncMsg.msgVal);break;case"ringChange":document.getElementById("cbEntryRing").checked=syncMsg.msgVal;break;case"clearList":$('#activity-list').html("<ul></ul>");break;case"nada":$('#activity-list').html('<ul></ul>');break;default:console.log("Sync Message Received: "+syncMsg.msgNm);break;}} function userJoined(evt){var thisUserName;if(document.getElementById("cbEntryRing").checked){if(evt.user.fullName!=null){thisUserName=evt.user.fullName;}else{thisUserName="Someone";} var rd=new Date();myRing=new dingDong(thisUserName," joined the room.",rd.toString());ringBell(myRing);}} function roleChanged(){setPermissions();} function setPermissions(){if(isHost()){$('#cbEntryRing').attr('disabled',false);$('#activity-list').show();$('#options').show();$('#speaker').hide();$(document.body).css({overflow:'auto'});}else{$(document.body).css({overflow:'hidden'});$('#cbEntryRing').attr('disabled',true);$('#activity-list').hide();$('#options').hide();$('#speaker').show();}} function isHost(){if(typeof syncConnector!=='undefined'){var thisUser=syncConnector.getMyUserDetails();if(thisUser.data.role==K_PARTICIPANT){console.log("Is Host: False");return(false);}else{return(true);}}else{return(true);}} function isParticipant(){if(isHost()){console.log("Is Participant: False");return(false);}else{return(true);}}